NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::ProfileCutout Features::ShipDesign::ProfileCutout@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateProfileCutoutBuilder Features::ShipCollection::CreateProfileCutoutBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Orientation { OrientationNone, OrientationNormal, OrientationFlipped } |
Represents the profile cutout orientation values. More... | |
Public Member Functions | |
double | AngularTolerance () |
Returns the angular tolerance (degrees). | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | CutoutData () |
Returns the sketch controlling the shape and parameters of the profile cutout. | |
double | DistanceTolerance () |
Returns the distance tolerance (part units). | |
bool | EnableCollarPlate () |
Returns the flag to enable collar plate creation when creating profile cutout. | |
bool | EnableCornerCut () |
Returns the flag to enable corner cut creation when creating profile cutout. | |
NXOpen::Features::ShipDesign::ProfileCutoutBuilder::Orientation | FindOrientation () |
This method will find out the profile cutout orientation. | |
NXOpen::Features::ShipDesign::ManufacturingStockBuilder * | ManufacturingInformation () |
Returns the manufacturing stock builder that holds the manufacturing data. | |
NXOpen::Features::ShipDesign::ManufacturingStockBuilder * | ManufacturingStock () |
Returns the manufacturing stock builder that holds the manufacturing data. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | MoldingSideScallop () |
Returns the Features::ShipDesign::SteelFeatureSpreadsheetBuilder , which holds the information of the molding side scallop. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | OpposingSideScallop () |
Returns the Features::ShipDesign::SteelFeatureSpreadsheetBuilder , which holds the information of the opposing molding side scallop. | |
NXOpen::SelectDisplayableObjectList * | ProfileBodies () |
Returns the profiles that are to have a cutout created for them. | |
void | RemoveSlaves () |
Temporarily removes profile cutout slave features when editing profile cutout in ship basic design to prevent the downstream features from updating. | |
void | SetAngularTolerance (double angularTolerance) |
Sets the angular tolerance (degrees). | |
void | SetDefaultScallopTypes (const NXString &strProfileCutoutType) |
Set the default scallop types for the profile cutout builder. | |
void | SetDefaultScallopTypes (const char *strProfileCutoutType) |
Set the default scallop types for the profile cutout builder. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance (part units). | |
void | SetEnableCollarPlate (bool enableCollarPlate) |
Sets the flag to enable collar plate creation when creating profile cutout. | |
void | SetEnableCornerCut (bool bEnableCornerCut) |
Sets the flag to enable corner cut creation when creating profile cutout. | |
NXOpen::SelectDisplayableObjectList * | TargetObjects () |
Returns the plates that are to have cutouts placed into them for each profile. | |
NXOpen::Weld::CharacteristicsBuilder * | WeldCharacteristics () |
Returns the welding characteristics that will be attached to profile cuotut edges which have attribute MK_TYPE=WELD_EDGE. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::ProfileCutout Features::ShipDesign::ProfileCutout@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateProfileCutoutBuilder Features::ShipCollection::CreateProfileCutoutBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngularTolerance |
0.5 |
DistanceTolerance |
0.0254 (millimeters part), 0.001 (inches part) |
Created in NX8.0.0.
double NXOpen::Features::ShipDesign::ProfileCutoutBuilder::AngularTolerance | ( | ) |
Returns the angular tolerance (degrees).
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::ProfileCutoutBuilder::CutoutData | ( | ) |
Returns the sketch controlling the shape and parameters of the profile cutout.
<br> The cutout sketch type and its parameters are controlled by the @link Features::ShipDesign::SteelFeatureSpreadsheetBuilder Features::ShipDesign::SteelFeatureSpreadsheetBuilder@endlink . <br>
Created in NX8.0.0.
License requirements : None
double NXOpen::Features::ShipDesign::ProfileCutoutBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance (part units).
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ProfileCutoutBuilder::EnableCollarPlate | ( | ) |
Returns the flag to enable collar plate creation when creating profile cutout.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ProfileCutoutBuilder::EnableCornerCut | ( | ) |
Returns the flag to enable corner cut creation when creating profile cutout.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::ShipDesign::ProfileCutoutBuilder::Orientation NXOpen::Features::ShipDesign::ProfileCutoutBuilder::FindOrientation | ( | ) |
This method will find out the profile cutout orientation.
This information will be used for drawing automation to draw the profile cutout symbol, when the profile cutout was created by flip then the symbol should be drawn flip also. So this method can be used to indicate whether the profile cuotut was created by flip or not. The logic is: The target plate shuold have the start/end flag(by seeing the End cut face attributes) and the profile(profile cutout created based on)'s molding line face is more nearing to the start of the plate, then this method will return Normal, or Flipped. if the targe plate doens't have any flag of start/end, then None will be returned. @return
Created in NX8.5.0.
License requirements : nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")
NXOpen::Features::ShipDesign::ManufacturingStockBuilder* NXOpen::Features::ShipDesign::ProfileCutoutBuilder::ManufacturingInformation | ( | ) |
Returns the manufacturing stock builder that holds the manufacturing data.
Created in NX8.5.1.
License requirements : None
NXOpen::Features::ShipDesign::ManufacturingStockBuilder* NXOpen::Features::ShipDesign::ProfileCutoutBuilder::ManufacturingStock | ( | ) |
Returns the manufacturing stock builder that holds the manufacturing data.
Created in NX8.5.0.
License requirements : None
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::ProfileCutoutBuilder::MoldingSideScallop | ( | ) |
Returns the Features::ShipDesign::SteelFeatureSpreadsheetBuilder , which holds the information of the molding side scallop.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::ProfileCutoutBuilder::OpposingSideScallop | ( | ) |
Returns the Features::ShipDesign::SteelFeatureSpreadsheetBuilder , which holds the information of the opposing molding side scallop.
Created in NX9.0.0.
License requirements : None
NXOpen::SelectDisplayableObjectList* NXOpen::Features::ShipDesign::ProfileCutoutBuilder::ProfileBodies | ( | ) |
Returns the profiles that are to have a cutout created for them.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::ProfileCutoutBuilder::RemoveSlaves | ( | ) |
Temporarily removes profile cutout slave features when editing profile cutout in ship basic design to prevent the downstream features from updating.
They will be restrored when committing the profile cutout builder.
Created in NX9.0.0.
License requirements : nx_ship_basic ("Ship Basic Design")
void NXOpen::Features::ShipDesign::ProfileCutoutBuilder::SetAngularTolerance | ( | double | angularTolerance | ) |
Sets the angular tolerance (degrees).
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")
angularTolerance | angulartolerance |
void NXOpen::Features::ShipDesign::ProfileCutoutBuilder::SetDefaultScallopTypes | ( | const NXString & | strProfileCutoutType | ) |
Set the default scallop types for the profile cutout builder.
Created in NX9.0.0.
License requirements : None
strProfileCutoutType | strprofilecutouttype |
void NXOpen::Features::ShipDesign::ProfileCutoutBuilder::SetDefaultScallopTypes | ( | const char * | strProfileCutoutType | ) |
Set the default scallop types for the profile cutout builder.
Created in NX9.0.0.
License requirements : None
strProfileCutoutType | strprofilecutouttype |
void NXOpen::Features::ShipDesign::ProfileCutoutBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance (part units).
Created in NX8.0.0.
License requirements : nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")
distanceTolerance | distancetolerance |
void NXOpen::Features::ShipDesign::ProfileCutoutBuilder::SetEnableCollarPlate | ( | bool | enableCollarPlate | ) |
Sets the flag to enable collar plate creation when creating profile cutout.
Created in NX9.0.0.
License requirements : nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")
enableCollarPlate | enablecollarplate |
void NXOpen::Features::ShipDesign::ProfileCutoutBuilder::SetEnableCornerCut | ( | bool | bEnableCornerCut | ) |
Sets the flag to enable corner cut creation when creating profile cutout.
Created in NX9.0.0.
License requirements : nx_ship_basic ("Ship Basic Design") OR nx_ship_detail ("Ship Detail Design")
bEnableCornerCut | benablecornercut |
NXOpen::SelectDisplayableObjectList* NXOpen::Features::ShipDesign::ProfileCutoutBuilder::TargetObjects | ( | ) |
Returns the plates that are to have cutouts placed into them for each profile.
Created in NX8.0.0.
License requirements : None
NXOpen::Weld::CharacteristicsBuilder* NXOpen::Features::ShipDesign::ProfileCutoutBuilder::WeldCharacteristics | ( | ) |
Returns the welding characteristics that will be attached to profile cuotut edges which have attribute MK_TYPE=WELD_EDGE.
Created in NX9.0.0.
License requirements : None